<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );
echo "<title>Доска позора</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
$max = $row['num_msgs'];
if ( empty( $max ) )
{
$max = 5;
}
switch ( $mod )
{
case "s1" :
echo "<div align=\"center\">Забаненные пользователи:</div>";
$p = intval( $p );
if ( $p < 0 )
{
$p = 0;
}
$page = $p * $max;
$q = mysql_query( "select id, login from users where ban = 1 order by ltime desc limit {$page},{$max};" );
$k = mysql_num_rows( $q );
while ( $kick = mysql_fetch_array( $q ) )
{
$nick = $kick['login'];
$uid = $kick['id'];
print "&#8226; <a href=\"blacklist.php?id={$id}&amp;pass={$pass}&amp;uid={$uid}&amp;mod=s3\">{$nick}</a><br/>";
}
break;
case "s2" :
echo "<div align=\"center\">Выпнутые пользователи:</div>";
$p = intval( $p );
if ( $p < 0 )
{
$p = 0;
}
$page = $p * $max;
$q = mysql_query( "select id, login from users where kick > '".time( )."' order by kick desc limit {$page},{$max};" );
$k = mysql_num_rows( $q );
while ( $kick = mysql_fetch_array( $q ) )
{
$nick = $kick['login'];
$uid = $kick['id'];
print "&#8226; <a href=\"blacklist.php?id={$id}&amp;pass={$pass}&amp;uid={$uid}&amp;mod=s3\">{$nick}</a><br/>";
}
break;
case "s3" :
$uid = intval( $uid );
echo "<div align=\"center\">Информация</div>";
$v = mysql_query( "select login, kick, whokick, whykick  from users where id = '".$uid."' limit 1" );
$d = mysql_fetch_array( $v );
$nik = $d['login'];
$who = $d[whokick];
$why = $d[whykick];
$kik = $d['kick'] - time( );
echo "Пользователь:\r<b><a href=\"user.php?id={$id}&amp;pass={$pass}&amp;dbid={$uid}\">{$nik}</a></b>.<br/>";
echo "Кем наказан:\r<b>{$who}</b>.<br/>";
echo "Причина:\r<b>{$why}</b>.<br/>";
if ( 0 < $kik )
{
echo "До снятия наказания осталось <b>{$kik}</b> сек.";
break;
}
default :
$q = mysql_query( "select count(*) as num from users where ban = 1;" );
$a = mysql_fetch_array( $q );
$ban = $a['num'];
$q2 = mysql_query( "select count(*) as num from users where kick > '".time( )."';" );
$a2 = mysql_fetch_array( $q2 );
$kick = $a2['num'];
echo "<div align=\"center\">Наказанные пользователи чата</div>";
echo "&#8226; <a href=\"blacklist.php?id={$id}&amp;pass={$pass}&amp;mod=s1\">Забаненные</a> [{$ban}]<br/>";
echo "&#8226; <a href=\"blacklist.php?id={$id}&amp;pass={$pass}&amp;mod=s2\">Выпнутые</a> [{$kick}]<br/>";
break;
}
if ( isset( $mod ) )
{
echo "<p align=\"center\">";
if ( 0 < $p )
{
print "<a href=\"blacklist.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;p=".( $p - 1 )."\">&#171;назад</a>\r";
}
if ( $max <= $k )
{
print "<a href=\"blacklist.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;p=".( $p + 1 )."\">дальше&#187;</a>";
}
echo "</p><a href=\"blacklist.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Назад</a>";
}
echo "<br/><a href=\"stats.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Статистика</a>";
echo "<br/><a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожая</a><br/>";
$end = gettime( );echo "<div class=\"ab\"><b>&copy; KOT <a href=\"http://waufon.ru\">waufon.ru</a></b></div>";

echo "<p align=\"center\">[".round( $end - $mystart, 5 )."]</p>";
echo "</body></html>";
mysql_close( $link );
//echo "<div class=\"ab\"><b>&copy; KOT waufon.ru</b></div>";
?>